package main

import (
	"errors"
	"os"
)

const SECRET_PERMS = 0600

// Securely exports data into a file ctor can understand
func CtorExport(path string, prefix string, data []byte) error {
	if len(prefix) != 32 {
		return errors.New("prefix is not a padded 32-byte string")
	}

	buf := []byte(prefix)
	buf = append(buf, data...)
	err := os.WriteFile(path, buf, SECRET_PERMS)
	return err
}
